__gnu_cxx::unary_compose(3)

NAME
__gnu_cxx::unary_compose -

SYNOPSIS

Inherits unary_function< _Operation2::argument_type, _Operation1::result_type >.

Detailed Description

  template<class _Operation1, class _Operation2> class __gnu_cxx::unary_compose< _Operation1, _Operation2 >

Definition at line 128 of file ext/functional.

  Public Types
typedef _Arg argument_type
typedef _Result result_type

  Public Member Functions
_Operation1::result_type operator() (const typename _Operation2::argument_type &__x) const
unary_compose (const _Operation1 &__x, const _Operation2 &__y)

  Protected Attributes
_Operation1 _M_fn1
_Operation2 _M_fn2

Member Typedef Documentation

  typedef _Arg argument_type [inherited]

argument_type is the type of the

Reimplemented in _Functor_Ref.

Definition at line 104 of file stl_function.h.

  typedef _Result result_type [inherited]

argument (no surprises here) result_type is the return type

Reimplemented in _Functor_Ref, and _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.